Arch Mur

From FreeCAD Documentation
Revision as of 18:09, 29 November 2013 by Renatorivo (talk | contribs)

Architecture Mur Wall

Emplacement du menu
Arch → Wall
Ateliers
Arch
Raccourci par défaut
W A
Introduit dans la version
-
Voir aussi
Arch Structure

Description

This tool builds a Wall object from scratch or on top of any other shape-based or mesh-based object. A wall can be built without any base object, in which case it behaves as a cubic volume, using length, width and height properties. When built on top of an existing shape, a wall can be based on:

  • Un objet linéaire 2D, telles que des lignes, fils, des arcs ou des croquis, dans ce cas, vous pouvez modifier l'épaisseur, l'alignement (droite, gauche ou centré) et la hauteur.
  • Un face plane, dans ce cas, vous ne pouvez changer la hauteur.
  • Un solide, dans ce cas, vous ne pouvez rien changer.

L'exemple ci-dessus montre les murs en cours de construction au-dessus d'une ligne, un fil, une face, un solide, et, un croquis.


Les murs peuvent aussi avoir des ajouts ou des soustractions. Les ajouts sont d'autres objets dont les formes sont jointes aux formes du mur, tandis que les soustractions sont soustraites. L'Ajout, et, la soustraction peuvent être exécutés grâce aux outils text-top=Arch_Add Ajouter, et, text-top=Arch_Remove Supprimer. Les additions, et, les soustractions n'ont aucune influence sur les paramètres de mur, comme la hauteur, et, la largeur, et, ce qui peut être encore modifié. Les murs peuvent aussi avoir une hauteur automatique, si elles sont incluses dans un objet de niveau supérieur tels que les text-top=Arch_Cell cellules ou les text-top=Arch_Floor planchers. La hauteur doit être maintenue à 0, puis le mur doit adopter la hauteur spécifiée dans l'objet parent.

Lorsque plusieurs murs doivent se croiser, vous devez les placer dans une text-top=Arch_Cell cellule ou un text-top=Arch_Floor sol, et, avoir leurs géométries entre coupées.

How to use

Drawing a wall from scratch

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, and if the option "join base sketches" is enabled in the Arch preferences, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions

Snapping

Snapping works a bit differently with Arch walls than other Arch and Draft objects. If a wall has a baseline object, snapping will anchor to the base object, instead of the wall geometry, allowing to easily align walls by their baseline. If, however, you specifically want to snap to the wall geometry, pressing CTRL will switch snapping to the wall object.

Properties

Wall objects inherit the properties of Part objects, and also have the following extra properties:

  • DonnéesAlign: The alignment of the wall on its baseline: Left, right or center
  • DonnéesBase: The base object this wall is built on
  • DonnéesFace: The index of the face from the base object to use. If the vaue is not set or 0, the whole object is used
  • DonnéesForce Wire: If True, and the wall is based on a face, only the border wire of the face is used, resulting in a wall bordering the face
  • DonnéesLength: The length of the wall (not used when the wall is based on an object)
  • DonnéesWidth: The width of the wall (not used when the wall is based on a face)
  • DonnéesHeight: The height of the wall (not used when the wall is based on a solid)
  • DonnéesNormal: An extrusion direction for the wall. If set to (0,0,0), the extrusion direction is automatic.

Scripting

The Wall tool can by used in macros and from the python console by using the following function:

 makeWall ( [obj],[length],[width],[height],[align],[face],[name] )
  • Creates a wall based on the given object, which can be a sketch, a draft object, a face or a solid. align can be "Center","Left" or "Right". If you provide no base object, then you can use numeric values for length, width and height. Face can be used to give the index of a face from the underlying object, to build this wall on, instead of using the whole object.
  • Returns the created wall, or None if the operation failed.

Example:

 import FreeCAD, Draft, Arch
 baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
 Arch.makeWall(baseline,None,0.1,2)